Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.generation
Class FormsGenerator

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.generation.AbstractGenerator
                  org.apache.cocoon.forms.generation.FormsGenerator

All Implemented Interfaces:
  org.apache.cocoon.generation.Generator, Poolable, Recyclable, org.apache.cocoon.sitemap.SitemapModelComponent, org.apache.cocoon.xml.XMLProducer

public class FormsGenerator
extends org.apache.cocoon.generation.AbstractGenerator

A generator that streams an XML representation of a `Form`. This will recursively contain the XML for all widgets on the form. This can then be styled using an XSLT.

An alternative approach that requires less (or even none) XSLT work is offered by the `FormsTemplateTransformer`.

The Form whose XML should be produced should reside either

1. In a request attribute, whose name should be provided to this generator as a sitemap parameter called "attribute-name".
2. Or else at its default-location in the flow context-object.

Version:
  $Id: FormsGenerator.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`protected FormsPipelineConfig` | `config`

Fields inherited from class org.apache.cocoon.generation.AbstractGenerator
`objectModel, parameters, resolver, source`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Fields inherited from interface org.apache.cocoon.generation.Generator
`ROLE`

Constructor Summary
`FormsGenerator()`

Method Summary
`void` | `generate()`
`void` | `recycle()`
`void` | `setup(org.apache.cocoon.environment.SourceResolver resolver, Map objectModel, String src, Parameters par)`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### config

    protected FormsPipelineConfig config

Constructor Detail

### FormsGenerator

    public FormsGenerator()

Method Detail

### setup

    public void setup(org.apache.cocoon.environment.SourceResolver resolver,
                      Map objectModel,
                      String src,
                      Parameters par)
               throws org.apache.cocoon.ProcessingException,
                      SAXException,
                      IOException

  Throws:
    `org.apache.cocoon.ProcessingException`
    `SAXException`
    `IOException`

### recycle

    public void recycle()

### generate

    public void generate()
                  throws IOException,
                         SAXException,
                         org.apache.cocoon.ProcessingException

  Throws:
    `IOException`
    `SAXException`
    `org.apache.cocoon.ProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.